package com.wecloud.im.param;

import com.wecloud.dispatch.common.BaseRequest;
import com.wecloud.im.ws.model.request.PushVO;
import com.wecloud.utils.JsonUtils;

import javax.validation.constraints.NotNull;

/**
 * @Description TODO
 * @Author lixiaozhong
 * @Date 2022/1/26 6:11 下午
 */
public class ChatContentVo extends BaseRequest {
    PushVO push;
    @NotNull
    Long toConversation;
    @NotNull
    Integer type;
    String text;

    public PushVO getPush() {
        return JsonUtils.beanCopyDeep(this.get("push"), PushVO.class);
    }

    public void setPush(PushVO push) {
        this.push = push;
    }

    public Long getToConversation() {
        return Long.valueOf(this.get("toConversation") + "");
    }

    public void setToConversation(Long toConversation) {
        this.toConversation = toConversation;
    }

    public Integer getType() {
        return Integer.valueOf(this.get("type") + "");
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getText() {
        return this.get("type") + "";

    }

    public void setText(String text) {
        this.text = text;
    }
}
